/*
	For results figures
*/


html { overflow:hidden; }

body {
	user-select:none; /* could allow selection of p * and li * text. */
	cursor:default;
	margin:8px; 
	margin-bottom:0px; 
	overflow:hidden;
}


/* figure and any text inside it */
#fig text { font-family:'Noto Sans',sans-serif; font-size:12px; pointer-events:none; }


/* ALL OF THE ABOVE is for the caption areas; maybe it's in common with figure.css ? */


/* ALL OF THE BELOW is for the plots; maybe put it into plot.css or graph.css and use it in experiments ? */

/* data lines and markers, legends */
/*
	mark1 -- solid red line and solid red marker
	mark2 -- dashed blue line and open blue marker
	mark3 -- open red marker and no line
	mark4 -- blue X mark and no line, used when raw data is shown
	
	path.markN -- data markers connected by the appropriate line (color and style by N, above)
	path.fitN -- fit lines without markers (color and style by N, above)
	path.errN -- error bars (color and style by N, above)
	path.markN in a .legend group -- line and marker but no mark at start or end
*/
marker { stroke-width:1; markerUnits:userSpaceOnUse; orient:0; }
#mark1 { fill:#f00; stroke:#f00; }
#mark2 { fill:#fff; stroke:#00f; }
#mark3 { fill:#fff; stroke:#f00; }
#mark4 { fill:none; stroke:#00f; }
path.mark1 { stroke:#f00; marker-start:url('#mark1'); marker-mid:url('#mark1'); marker-end:url('#mark1'); }
path.mark2 { stroke:#00f; marker-start:url('#mark2'); marker-mid:url('#mark2'); marker-end:url('#mark2'); }
path.mark3 { stroke:none; marker-start:url('#mark3'); marker-mid:url('#mark3'); marker-end:url('#mark3'); }
path.mark4 { stroke:none; marker-start:url('#mark4'); marker-mid:url('#mark4'); marker-end:url('#mark4'); }
path.mark2 { stroke-dasharray:4,2; }
.legend path { marker-start:none; marker-end:none;  }
.plot path { fill:none; }
path.fit1, line.fit1 { stroke:#f00; }
path.fit2, line.fit2 { stroke-dasharray:4,2; stroke:#00f; }
path.err1, line.err1 { stroke:#f00; shape-rendering:crispEdges; }
path.err2, line.err2 { stroke:#00f; shape-rendering:crispEdges; }
path.noline { stroke:none; }


/* for bar graphs */
.bar { shape-rendering:crispEdges; }
.bar.red.r45 { stroke:red; fill:url(#stripe45red); }
.bar.red.r135 { stroke:red; fill:url(#stripe135red); }
.bar.blue.r45 { stroke:blue; fill:url(#stripe45blue); }
.bar.blue.r135 { stroke:blue; fill:url(#stripe135blue); }
.bar.black { stroke:black; fill:none; }
.err.red { stroke:red; }
.err.blue { stroke:blue; }
.err.black { stroke:black; }
#stripe45red line, #stripe135red line { stroke:red; }
#stripe45blue line, #stripe135blue line { stroke:blue; }


/* axis characteristics and plot frame */
.plotframe { fill-rule:evenodd; fill:white; shape-rendering:crispEdges; }
.axis, .axisframe { stroke-width:1; fill:none; stroke:#000; /*shape-rendering:crispEdges;*/ }
.plotback { fill:white; }

/* text characteristics */
.axistitle, .plottitle { font-size:13px; font-weight:600; }
.axislabel.x text { text-anchor:middle; dominant-baseline:text-before-edge; }
.axislabel.y text { text-anchor:end; dominant-baseline:central; }
.axistitle { text-anchor:middle; }
.axistitle.y { dominant-baseline:alphabetic; }
.axistitle.x { dominant-baseline:hanging; }
.legend text { dominant-baseline:central; } /* need to specify text because .legend is on a group */
.legend.l text { text-anchor:start; }
.legend.r text { text-anchor:end; }
tspan.sup { baseline-shift:40%; font-size:75%; } /* for R-square */


/* rectangle placed at the end of a results graph */
.plotborder { fill:none; stroke:#eee; stroke-width:2; shape-rendering:crispEdges; }
